// This may look like C code, but it is really -*- C++ -*-
// Classe executeur de commandes graphique pour piapp
//                                   Reza 05/2005
// (C) LAL-IN2P3/CNRS  DAPNIA/CEA

#ifndef PIAGraphicExecutor_H_SEEN
#define PIAGraphicExecutor_H_SEEN

#include "piacmd.h"

class PIAGraphicExecutor : public CmdExecutor {
public :
		PIAGraphicExecutor(PIACmd* piac, NamedObjMgr* omg, PIStdImgApp* app);
  virtual	~PIAGraphicExecutor();
  virtual int	Execute(string& keyw, vector<string>& args, string& toks);
  virtual bool  IsThreadable(string const & keyw);

protected :
  void		RegisterCommands();
  void          RegisterPIGraphicsHelp(PIACmd* piac);
  int		BarGraph(string& keyw, vector<string>& args);
  int		TextDrawer(string& keyw, vector<string>& args);

  PIACmd* mpiac;
  NamedObjMgr* mObjMgr;
  PIStdImgApp* mImgApp;

};


#endif
